org.apache.torque.templates.transformer.om

## Enum TableAttributeName

- java.lang.Object
- - java.lang.Enum<TableAttributeName>
  - - org.apache.torque.templates.transformer.om.TableAttributeName

- All Implemented Interfaces:
    Serializable, Comparable<TableAttributeName>, SourceAttributeName

      public enum TableAttributeName
      extends Enum<TableAttributeName>
      implements SourceAttributeName

  Contains the attributes for a table source element which are not defined in the Torque schema.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASE_MANAGER_CLASS_NAME` The name of the base manager class.
    `BEAN_CLASS_NAME` The name of the bean class.
    `BEAN_PACKAGE` The package name of the bean class.
    `DB_OBJECT_CLASS_NAME` The name of the database object class.
    `DB_OBJECT_PACKAGE` The package name of the database object.
    `GET_CURRENT_DATE_METHOD_NAME` The variable name in which the name of the getDefaultDate method us defined, is it should be generated.
    `GET_CURRENT_TIME_METHOD_NAME` The variable name in which the name of the getDefaultTime method us defined, is it should be generated.
    `GET_CURRENT_TIMESTAMP_METHOD_NAME` The variable name in which the name of the getDefaultTimestamp method us defined, is it should be generated.
    `MANAGER_CLASS_NAME` The name of the manager class.
    `PEER_IMPL_CLASS_NAME` The name of the peer implementation class.
    `PEER_IMPL_FIELD_NAME` The name of the field holding the peer implementation class.
    `PEER_IMPL_GETTER` The name of the getter for the peer implementation class.
    `PEER_IMPL_SETTER` The name of the setter for the peer implementation class.
    `SAVE_METHOD_INPUT_TYPE` The type which is passed to the save method, if any.
    `SAVE_METHOD_TO_SAVE_VARIABLE` The variable name in which the object to save is stored, if any.
    `SEQUENCE_NAME` The name of the sequence generated for the table's primary key.
    `UNQUALIFIED_NAME` The unqualified (without schema) table name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the name of the referenced source element attribute.
    `String` | `toString()`
    `static TableAttributeName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TableAttributeName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNQUALIFIED_NAME

          public static final TableAttributeName UNQUALIFIED_NAME

      The unqualified (without schema) table name.

    - #### MANAGER_CLASS_NAME

          public static final TableAttributeName MANAGER_CLASS_NAME

      The name of the manager class.

    - #### BASE_MANAGER_CLASS_NAME

          public static final TableAttributeName BASE_MANAGER_CLASS_NAME

      The name of the base manager class.

    - #### DB_OBJECT_CLASS_NAME

          public static final TableAttributeName DB_OBJECT_CLASS_NAME

      The name of the database object class.

    - #### DB_OBJECT_PACKAGE

          public static final TableAttributeName DB_OBJECT_PACKAGE

      The package name of the database object.

    - #### BEAN_CLASS_NAME

          public static final TableAttributeName BEAN_CLASS_NAME

      The name of the bean class.

    - #### BEAN_PACKAGE

          public static final TableAttributeName BEAN_PACKAGE

      The package name of the bean class.

    - #### PEER_IMPL_FIELD_NAME

          public static final TableAttributeName PEER_IMPL_FIELD_NAME

      The name of the field holding the peer implementation class.

    - #### PEER_IMPL_CLASS_NAME

          public static final TableAttributeName PEER_IMPL_CLASS_NAME

      The name of the peer implementation class.

    - #### PEER_IMPL_GETTER

          public static final TableAttributeName PEER_IMPL_GETTER

      The name of the getter for the peer implementation class.

    - #### PEER_IMPL_SETTER

          public static final TableAttributeName PEER_IMPL_SETTER

      The name of the setter for the peer implementation class.

    - #### SEQUENCE_NAME

          public static final TableAttributeName SEQUENCE_NAME

      The name of the sequence generated for the table's primary key.

    - #### SAVE_METHOD_INPUT_TYPE

          public static final TableAttributeName SAVE_METHOD_INPUT_TYPE

      The type which is passed to the save method, if any.

    - #### SAVE_METHOD_TO_SAVE_VARIABLE

          public static final TableAttributeName SAVE_METHOD_TO_SAVE_VARIABLE

      The variable name in which the object to save is stored, if any.

    - #### GET_CURRENT_DATE_METHOD_NAME

          public static final TableAttributeName GET_CURRENT_DATE_METHOD_NAME

      The variable name in which the name of the getDefaultDate method us defined, is it should be generated.

    - #### GET_CURRENT_TIME_METHOD_NAME

          public static final TableAttributeName GET_CURRENT_TIME_METHOD_NAME

      The variable name in which the name of the getDefaultTime method us defined, is it should be generated.

    - #### GET_CURRENT_TIMESTAMP_METHOD_NAME

          public static final TableAttributeName GET_CURRENT_TIMESTAMP_METHOD_NAME

      The variable name in which the name of the getDefaultTimestamp method us defined, is it should be generated.

  - ### Method Detail

    - #### values

          public static TableAttributeName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableAttributeName c : TableAttributeName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableAttributeName valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Returns the name of the referenced source element attribute.
      Specified by:
        `getName` in interface `SourceAttributeName`
      Returns:
        the name of the referenced source element attribute.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<TableAttributeName>`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.